Subject: bug#31793: 26.1; (error "Lisp nesting exceeds ‘max-lisp-eval-depth’")

From: Leo Liu <[email-masked]>
Date: Sun, 24 Jun 2018 16:27:28 +0800

On 2018-06-23 15:47 +0000, John Shahid wrote:
> That seems to be a result of converting `global-eldoc-mode' to use
> `define-globalized-minor-mode' in 2349f.

Do you happen to know why post-command-hook doesn't protect itself from
this error?

,----[ post-command-hook ]
| If an unhandled error happens in running this hook, the function in
| which the error occurred is unconditionally removed, since otherwise
| the error might happen repeatedly and make Emacs nonfunctional.
`----

This bug looks very serious because having to kill -9 emacs is serious.

Leo